<?php
session_start();

setlocale(LC_ALL, 'es_ES');

function redirect($url)
{

	echo "<script type='text/javascript'>"
		. "window.location.href='" . $url . "'"
		. "</script>";
}

function dd($var)
{

	echo "<pre>";
	die(print_r($var));
}

function getUrl($modulo, $controlador, $funcion, $parametro = false, $pagina = false)
{

	if ($pagina == false) {

		$pagina = "index";
	}
	$url = "$pagina.php?modulo=$modulo&controlador=$controlador&funcion=$funcion";
	if ($parametro != false) {

		foreach ($parametro as $key => $value) {

			$url .= "&$key=$value";
		}
	}
	return $url;
}

function resolve()
{

	$modulo = $_GET['modulo'];
	$controlador = ucwords($_GET['controlador']);
	$funcion = $_GET['funcion'];
	if (is_dir("../controller/" . $modulo . "")) {

		if (file_exists("../controller/" . $modulo . "/" . $controlador . "Controller.php")) {

			include_once "../controller/" . $modulo . "/" . $controlador . "Controller.php";
			$nombreClase = $controlador . "Controller";
			$objeto = new $nombreClase();

			if (method_exists($objeto, $funcion)) {
				//print_r($funcion);
				//exit();
				$objeto->$funcion();
			} else {

				echo "La funcion no existe.";
				// redirect("404.php");
			}
		} else {

			echo "El controlador no existe";
			// redirect("404.php");
		}
	} else {

		echo "El modulo no existe";
		// redirect("404.php");
	}
}

	// function isValidJSON($str) {
	// 	json_decode($str);
	// 	return json_last_error() == JSON_ERROR_NONE;
	// }

	// $json_params = file_get_contents("php://input");

	// if (strlen($json_params) > 0 && isValidJSON($json_params))
	// 	$_REQUEST = json_decode($json_params);
